using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Net.Http.Headers;
using System.Text.Json;
using System.Net.Http;
using System.Text;
using Blazored.LocalStorage;
using Newtonsoft.Json.Linq;
using System.Threading;
using System.Security.Claims;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using System.IO;

namespace Datepicker
{
    public class AppState
    {
        private readonly HttpClient _httpClient;
        private readonly ILocalStorageService _localStorage;
        private readonly JwtDecode _jwtDecoder;
        public bool IsLoggedIn { get; private set; }
        public String UserName { get; private set; }


        public AppState(HttpClient httpClient, ILocalStorageService localStorage, JwtDecode jwtDecoder)
        {
            _httpClient = httpClient;
            _localStorage = localStorage;
            _jwtDecoder = jwtDecoder;
        }

        public async Task Login()
        {
            await Task.Delay(2000);
            IsLoggedIn = true;
            UserName = "SomeUser";
        }
    }
}
